gnutls_x509_rdn_get(3)

NAME
gnutls_x509_rdn_get - This function parses an RDN sequence and returns a string

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get(const gnutls_datum_t * idn, char * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

char * buf
    a pointer to a structure to hold the peer's name

size_t * sizeof_buf
    holds the size of buf

DESCRIPTION
This function will return the name of the given RDN sequence. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC2253. If the provided buffer is not long enough, returns GNUTLS_E_SHORT_MEMORY_BUFFER and *sizeof_buf will be updated. On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.